import request from '@/utils/request'

// 查询家族园地列表
export function listGarden(query) {
  return request({
    url: '/system/garden/list',
    method: 'get',
    params: query
  })
}

// 查询家族园地详细
export function getGarden(id) {
  return request({
    url: '/system/garden/' + id,
    method: 'get'
  })
}

// 新增家族园地
export function addGarden(data) {
  return request({
    url: '/system/garden',
    method: 'post',
    data: data
  })
}

// 修改家族园地
export function updateGarden(data) {
  return request({
    url: '/system/garden',
    method: 'put',
    data: data
  })
}

// 删除家族园地
export function delGarden(id) {
  return request({
    url: '/system/garden/' + id,
    method: 'delete'
  })
}

// 导出家族园地
export function exportGarden(query) {
  return request({
    url: '/system/garden/export',
    method: 'get',
    params: query
  })
}